Issue1192

classification
Title: deserialization of Jython classes extending Java classes fails when called from Java
Type: Severity: normal
Components: Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: cgroves, fwierzbicki
Priority: Keywords:

Created on 2008-12-06.01:34:09 by cgroves, last changed 2009-02-21.18:39:13 by cgroves.

Files
File name Uploaded Description Edit Remove
SerializationTests.java cgroves, 2008-12-06.01:34:08
serialization_test.diff cgroves, 2008-12-06.02:27:22 Turned into a junit3 test that will run from javatests
Messages
msg3876 (view) Author: Charlie Groves (cgroves) Date: 2008-12-06.01:34:08
aditsu reports being unable to serialize Jython subclasses of
serializable Java classes at
http://www.nabble.com/Serialization-td20719389.html  He provided the
attached test case.  It'll need to be turned into Junit 3 tests, dropped
into the tests directory and hooked up to the javatests ant target
before it can be used.
msg3877 (view) Author: Charlie Groves (cgroves) Date: 2008-12-06.04:31:45
Test added and problem fixed in r5710 on the newstyle-java-types branch.
I added some code to PythonInterpreter to always make it __main__ in
r5558 a few weeks ago, so that removed the need for the setupMain
portion of the tests.
History
Date User Action Args
2009-02-21 18:39:13cgrovessetstatus: open -> closed
resolution: fixed
2009-02-21 14:04:09fwierzbickisetnosy: + fwierzbicki
2008-12-14 17:18:01fwierzbickisetcomponents: + Core
2008-12-06 04:31:46cgrovessetmessages: + msg3877
title: serialization of Jython classes extending Java classes fails -> deserialization of Jython classes extending Java classes fails when called from Java
2008-12-06 02:27:22cgrovessetfiles: + serialization_test.diff
2008-12-06 01:34:10cgrovescreate